# $Revision: 1.147 $, $Date: 2008/10/06 13:59:53 $
#
Summary:	Network exploration tool and security scanner
Summary(es.UTF-8):	Herramienta de exploración de la rede y seguridad
Summary(pl.UTF-8):	Program do badania i audytu sieci
Summary(pt_BR.UTF-8):	Ferramenta de exploração da rede e segurança
Summary(ru.UTF-8):	Утилита сканирования сети и аудита безопасности
Summary(uk.UTF-8):	Утиліта сканування мережі та аудиту безпеки
Name:		nmap
Version:	4.76
Release:	2
License:	GPL v2 clarified, with OpenSSL exception
Group:		Networking
Source0:	http://nmap.org/dist/%{name}-%{version}.tar.bz2
# Source0-md5:	278dd2e849cc3dbb947df961a1aaffd0
Patch0:		%{name}-am18.patch
Patch1:		%{name}-system-lua.patch
Patch2:		%{name}-system-dnet.patch
Patch3:		%{name}-desktop.patch
URL:		http://nmap.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libdnet-devel
BuildRequires:	libpcap-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	lua51-devel >= 5.1
BuildRequires:	openssl-devel
BuildRequires:	pcre-devel
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.167
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nmap is a utility for network exploration or security auditing. It
supports ping scanning (determine which hosts are up), many port
scanning techniques (determine what services the hosts are offering),
and TCP/IP fingerprinting (remote host operating system
identification). Nmap also offers flexible target and port
specification, decoy scanning, determination of TCP sequence
predictability characteristics, sunRPC scanning, reverse-identd
scanning, and more.

nmap supports a large number of scanning techniques such as: UDP, TCP
connect(), TCP SYN (half open), FTP proxy (bounce attack),
Reverse-ident, ICMP (ping sweep), FIN, ACK sweep, Xmas Tree, SYN
sweep, and Null scan.

%description -l es.UTF-8
Nmap es un utilitario para la exploración y auditoría de redes.
Soporta "ping scanning", varias técnicas de búsqueda de puertos
abiertos, e identificación remota de sistemas operacionales vía
impresiones digitales TCP/IP.

%description -l pl.UTF-8
Nmap jest programem przeznaczonym do badania i audytu sieci. Wspiera
różne techniki skanowania (badanie jakie usługi są uruchomione na
danym hoście), a także TCP/IP fingerprinting (zdalne rozpoznawanie
typu systemu operacyjnego). Nmap oferuje różne techniki skanowania
wykorzystujące: UDP, TCP connect(), TCP SYN (half open), FTP proxy
(bounce attack), Reverse-ident, ICMP (ping sweep), FIN, ACK sweep,
Xmas Tree, SYN sweep i Null scan.

%description -l pt_BR.UTF-8
Nmap é um utilitário para a exploração e auditoria de redes. Ele
suporta "ping scanning", várias técnicas de procura por portas
abertas, e identificação remota de sistemas operacionais via
impressões digitais TCP/IP.

%description -l ru.UTF-8
Nmap - это утилита для изучения сети и аудита безопасности. Она
поддерживает ping-сканирование (определение, какие хосты работают),
много методик сканирования портов (определение, какие сервисы
предоставляют хосты), и "отпечатки пальцев" TCP/IP (идентификация
операционной системы хоста). Nmap также поддерживает гибкое задание
цели и порта, скрытое сканирование (decoy scanning), определение
характеристик предсказуемости TCP sequence, сканирование sunRPC,
reverse-identd сканирование и другое.

%description -l uk.UTF-8
Nmap - це утиліта для дослідження мережі та аудиту безпеки. Вона
підтримує ping-сканування (визначення, які хости працюють), багато
методик сканування портів (визначення, які сервіси надають хости), та
"відбитки пальців" TCP/IP (ідентифікація операційної системи хоста).
Nmap також підтримує гнучке задання цілі та порта, приховане
сканування (decoy scanning), визначення характеристик передбачуваності
TCP sequence, сканування sunRPC, reverse-identd сканування та інше.

%package zenmap
Summary:	Graphical frontend for nmap
Summary(pl.UTF-8):	Graficzny frontend dla nmapa
Group:		X11/Applications/Networking
Requires:	%{name} = %{version}-%{release}
Requires:	bash
Requires:	python-pygtk-gtk >= 2:2.6
Requires:	python-sqlite >= 2.0
Provides:	nmap-X11
Obsoletes:	nmap-X11
Obsoletes:	nmap-frontend

%description zenmap
This package includes zenmap, a graphical frontend for nmap.

%description zenmap -l pl.UTF-8
Ten pakiet zawiera zenmap, czyli graficzny frontend dla nmapa.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# should be libtool with added "libtool: @LIBTOOL_DEPS@" rule in fact
# (but the latter would fail due to bug in libtool 2.2)
# sed -i -e 's,@LIBTOOL_DEPS@,./libtool,' nselib-bin/Makefile.in

%build
ln -s config/acinclude.m4 libdnet-stripped
%{__libtoolize}
find -type f -name configure.ac -o -name configure.in | while read CFG; do
	cd $(dirname "$CFG")
	%{__aclocal}
	%{__autoconf}
	cd "$OLDPWD"
done
cp -f /usr/share/automake/config.sub .

CXXFLAGS="%{rpmcxxflags} -fno-rtti -fno-exceptions"
CPPFLAGS="-I/usr/include/lua51"
%configure \
	LIBLUA_LIBS="-llua51" \
	--with-libdnet \
	--with-liblua

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install docs/zenmap.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_bindir}/uninstall_zenmap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# note: COPYING contains important notes and clarifications
%doc docs/README docs/*.txt CHANGELOG COPYING
%attr(755,root,root) %{_bindir}/nmap
%{_datadir}/nmap
%{_mandir}/man1/nmap.1*

%files zenmap
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nmapfe
%attr(755,root,root) %{_bindir}/xnmap
%attr(755,root,root) %{_bindir}/zenmap
%dir %{py_sitescriptdir}/radialnet
%dir %{py_sitescriptdir}/radialnet/bestwidgets
%dir %{py_sitescriptdir}/radialnet/core
%dir %{py_sitescriptdir}/radialnet/gui
%dir %{py_sitescriptdir}/radialnet/util
%dir %{py_sitescriptdir}/zenmapCore
%dir %{py_sitescriptdir}/zenmapGUI
%dir %{py_sitescriptdir}/zenmapGUI/higwidgets
%{py_sitescriptdir}/radialnet/*.py[co]
%{py_sitescriptdir}/radialnet/bestwidgets/*.py[co]
%{py_sitescriptdir}/radialnet/core/*.py[co]
%{py_sitescriptdir}/radialnet/gui/*.py[co]
%{py_sitescriptdir}/radialnet/util/*.py[co]
%{py_sitescriptdir}/zenmapCore/*.py[co]
%{py_sitescriptdir}/zenmapGUI/*.py[co]
%{py_sitescriptdir}/zenmapGUI/higwidgets/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/zenmap-*.egg-info
%endif
%dir %{_datadir}/zenmap
%dir %{_datadir}/zenmap/locale
%lang(pt_BR) %{_datadir}/zenmap/locale/pt_BR
%{_datadir}/zenmap/config
%{_datadir}/zenmap/docs
%{_datadir}/zenmap/misc
%{_datadir}/zenmap/pixmaps
%{_datadir}/zenmap/su-to-zenmap.sh
%{_desktopdir}/zenmap-root.desktop
%{_desktopdir}/zenmap.desktop
%{_mandir}/man1/zenmap.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nmap.spec,v $
Revision 1.147  2008/10/06 13:59:53  megabajt
- release 2

Revision 1.146  2008/09/24 12:03:21  glen
- remove garbaged zh_*

Revision 1.145  2008/09/24 08:22:47  pawelz
- Removed TODO
- rel 1

Revision 1.144  2008/09/24 08:09:40  pawelz
- added patch3 (nmap-desktop.patch)

Revision 1.143  2008/09/23 22:06:50  pawelz
- added desktop files

Revision 1.142  2008/09/23 21:50:28  pawelz
- up to 4.76
- NFY

Revision 1.141  2008/08/24 12:41:18  blues
- zenmap should provide nmap-X11

Revision 1.140  2008/08/05 13:46:40  adamg
- egg-info only for python >= 2.5

Revision 1.139  2008/08/04 15:45:25  zbyniu
- up to 4.68

Revision 1.138  2008/06/25 10:34:49  arekm
- up to 4.65

Revision 1.137  2008-03-21 19:32:18  qboosh
- added system-dnet patch, use system libdnet
- updated URL

Revision 1.136  2008-03-21 17:47:42  qboosh
- added system-lua patch, use system lua51

Revision 1.135  2008-03-21 13:40:19  adamg
- updated to 4.60

Revision 1.134  2008-03-15 00:34:09  qboosh
- ac regeneration fixes, together with workaround for libtool 2.2
- zenmap R: python-pygtk-gtk, python-sqlite
- added COPYING to doc (important notes there)

Revision 1.133  2008-03-13 12:40:43  kosmo
- added missing BR

Revision 1.132  2008-03-12 15:49:12  glen
- proper obsoletes name, adapter, cleanups

Revision 1.131  2008-03-12 15:40:34  kosmo
- updated to 4.53

Revision 1.130  2007-09-05 14:51:03  baggins
- rel 2

Revision 1.129  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.128  2007/02/12 00:49:13  baggins
- converted to UTF-8

Revision 1.127  2006/12/08 16:20:36  vip
- up to 4.20

Revision 1.126  2006/08/04 16:55:37  wrobell
- rel. 2 to build with openssl 0.9.8b on th builders

Revision 1.125  2006/06/27 15:45:54  adamg
- updated to 4.11

Revision 1.124  2006/04/25 23:32:51  mguevara
- 4.03-1

Revision 1.123  2006/02/10 22:29:55  orzech
- up to 4.01

Revision 1.122  2006/02/01 08:34:56  undefine
- up to 4.00

Revision 1.121  2005/12/10 14:27:39  sparky
- fixed fake GTK AC_DEFUN

Revision 1.120  2005/12/08 18:23:08  qboosh
- BR: openssl-devel,pcre-devel (used by default), pkgconfig (if with x)

Revision 1.119  2005/12/08 16:19:12  twittner
- up to 3.95: nmapfe now uses gtk-2
- localized manpages disappeared from sources

Revision 1.118  2005/10/13 09:59:51  qboosh
- updated to 3.93

Revision 1.117  2005/09/09 10:35:00  qboosh
- refresh config.sub in libdnet-stripped

Revision 1.116  2005/09/09 06:37:38  paszczus
- release 2 for Th

Revision 1.115  2005/09/09 06:36:29  paszczus
- updated to 3.90 ; STBR

Revision 1.114  2005/05/15 20:19:09  adamg
- release 2 for Th

Revision 1.113  2005/02/07 20:28:41  adamg
- updated to 3.81

Revision 1.112  2005/02/06 16:24:31  adamg
- updated to 3.80

Revision 1.111  2004/12/16 09:18:43  adamg
- updated to 3.78

Revision 1.110  2004/11/24 20:13:53  qboosh
- install localized manuals

Revision 1.109  2004/11/24 14:35:03  darekr
- update to 3.77

Revision 1.108  2004/11/17 14:00:25  paladine
- rel 3 for fixed desktop patch

Revision 1.107  2004/11/05 14:11:54  paladine
- rel 2 for fixed desktop file

Revision 1.106  2004/10/29 08:17:37  paladine
- "FTP" unification

Revision 1.105  2004/10/25 08:49:34  paladine
- [Gg]tk+ -> GTK+

Revision 1.104  2004/10/24 12:18:24  paladine
- pl fix

Revision 1.103  2004/10/21 19:23:36  pluto
- ipv6 support enabled.

Revision 1.102  2004/10/21 19:06:09  pluto
- bcond fixed (space -> tab).

Revision 1.101  2004/10/18 21:27:54  adamg
- release 1

Revision 1.100  2004/10/18 21:12:35  adamg
- updated to 3.75

Revision 1.99  2004/09/01 18:07:44  orzech
- up to 3.70, rel 0.1
- statistics patch for 3.70 not yet available (major nmap code changes)

Revision 1.98  2004/07/07 13:15:59  areq
- 3.55

Revision 1.97  2004/01/22 20:52:07  qboosh
- added am18 patch, fixed build (even with am 1.8.x)

Revision 1.96  2004/01/22 01:22:08  arekm
- updated to 3.50

Revision 1.95  2003/12/24 00:39:30  twittner
- fixed Summary(pl)

Revision 1.94  2003/12/22 19:52:03  jajcus
- copy config.sub from automake

Revision 1.93  2003/12/10 23:17:45  qboosh
- really fixed bconds

Revision 1.92  2003/12/10 22:47:28  pzurowski
- corrected bconds

Revision 1.91  2003/12/10 22:39:11  pzurowski
- switched to the new style bconds

Revision 1.90  2003/12/10 20:37:36  undefine
- release 2 to allow upgrade from ac

Revision 1.89  2003/10/12 16:05:46  blues
- add -fno-rtti -fno-exceptions for smaller binary

Revision 1.88  2003/10/06 11:34:21  orzech
- up to 3.48

Revision 1.87  2003/10/04 13:44:16  gotar
- unified bconds

Revision 1.86  2003/09/27 11:25:03  adamg
- updated to 3.46

Revision 1.85  2003/09/16 11:41:36  orzech
- up to 3.45 (new: "version detection" for services)

Revision 1.84  2003/08/28 21:23:32  blues
- cosmetics

Revision 1.83  2003/08/18 08:08:22  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.82  2003/06/30 16:47:22  adamg
- updated to 3.30

Revision 1.81  2003/06/15 07:03:42  adamg
- updated to 3.28

Revision 1.80  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.79  2003/05/25 05:51:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.78  2003/04/28 21:09:01  adamg
- up to nmap 3.27

Revision 1.77  2003/04/25 10:25:55  adamg
- added nmap_statistics.patch

Revision 1.76  2003/04/25 09:53:40  adamg
- updated to 3.26

Revision 1.75  2003/04/20 09:21:04  adamg
- updated to 3.25

Revision 1.74  2003/03/30 20:55:49  misi3k
- rel 3
- fix %install (s/rm/rm -f/)

Revision 1.73  2003/03/28 17:23:56  adgor
- nmapfe, xnmap moved to %{_bindir}
- nmapfe.desktop patched and moved to %{_desktopdir}
- simplified %install
- Release 2

Revision 1.72  2003/03/21 13:23:26  grzegorz
- added BR: libstdc++-devel

Revision 1.71  2003/03/20 10:50:51  adamg
- updated to 3.20

Revision 1.70  2003/03/18 19:46:01  wiget
- now --without X works

Revision 1.69  2003/03/18 18:30:45  areq
- fix without_X

Revision 1.68  2003/03/18 13:20:46  areq
- 3.15BETA3

Revision 1.67  2003/02/20 16:45:29  misiek
- updated to 3.15BETA1

Revision 1.66  2003/02/14 11:12:18  qboosh
- finished _without_X bcond

Revision 1.65  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.64  2002/09/06 18:13:05  kloczek
- s/zh_TW.Big5/zh_TW/

Revision 1.63  2002/09/06 13:42:54  undefine
- zh summary from TurboLinux

Revision 1.62  2002/08/03 15:56:34  orzech
- upgrade to 3.00
- updated and renamed ipv6.patch (hope didn't breake anything)
- rel. 1, STBR (compiles and works fine)

Revision 1.61  2002/07/21 10:41:38  areq
- 2.99RC1 - STBR
- remove outdated ac25x.patch

Revision 1.60  2002/07/19 21:07:10  areq
- 2.54BETA37, STBR

Revision 1.59  2002/07/15 21:47:22  undefine
- updated to 2.54BETA36
- ipv6 support
- need testing(stbr to test ;)

Revision 1.58  2002/06/12 10:07:29  areq
- %{_bindir}/* -> %{_bindir}/nmap - to build without X
- remove time.patch

Revision 1.57  2002/05/21 23:14:15  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.56  2002/05/21 22:40:32  qboosh
- new %doc
- ac25x patch needed for autoconf 2.53

Revision 1.55  2002/05/15 19:31:26  kloczek
- release 3: s/exec/Exec/ in nmap.desktop (fixed http://bugs.pld.org.pl/?bug=201).

Revision 1.54  2002/05/08 10:10:35  areq
- 2.54BETA34, STBR

Revision 1.53  2002/04/28 22:37:30  areq
- 2.54BETA33, STBR

Revision 1.52  2002/04/11 01:07:58  kloczek
- merge translations from KSI,
- new desktop file and png Icon.

Revision 1.51  2002/04/10 10:04:36  areq
- 2.54BETA32, STBR

Revision 1.50  2002/03/23 17:05:33  mmazur
- updated to beta31; release 1; STBR

Revision 1.49  2002/02/23 04:05:41  kloczek
- adapterized.

Revision 1.48  2002/02/22 23:29:19  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/01/18 02:14:03  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/11/21 21:46:02  qboosh
- removed desktop patch - doesn't exist

Revision 1.45  2001/11/05 22:47:37  kloczek
- merge translations from CNV.

Revision 1.44  2001/11/03 10:49:40  grzegorz
- 2.54BETA30, STBR

Revision 1.43  2001/10/11 08:47:14  qboosh
- BuildRequires: autoconf, automake

Revision 1.42  2001/08/10 19:37:31  areq
- 2.54BETA29, STBR

Revision 1.41  2001/08/04 19:32:46  areq
- 2.54BETA28, STBR

Revision 1.40  2001/07/20 23:52:40  lukasz
- updated to 2.54BETA27

Revision 1.39  2001/07/11 07:30:05  kloczek
- regenerate ac files (now spec is ac 2.50 ready).

Revision 1.38  2001/07/09 13:55:26  lukasz
- updated to 2.54BETA26

Revision 1.37  2001/06/04 21:51:25  lukasz
- updated to 2.54BETA25

Revision 1.36  2001/06/04 14:47:08  baggins
- added _without_X bcond

Revision 1.35  2001/06/03 00:56:31  blues
- doc

Revision 1.34  2001/06/03 00:49:06  blues
- 2.54BETA24

Revision 1.33  2001/04/09 23:22:13  kloczek
- release 2.

Revision 1.32  2001/04/08 16:03:06  blues
- changed Networking  to Network for desktop-file

Revision 1.31  2001/03/29 07:56:33  mis
- autoupdated to 2.54BETA22

Revision 1.30  2001/03/11 20:23:01  kloczek
- release 2.

Revision 1.29  2001/03/11 07:18:33  qboosh
- time patch

Revision 1.28  2001/03/07 12:45:38  kloczek
- adapterized.

Revision 1.27  2001/03/06 13:50:25  lukasz
- update to 2.54BETA20

Revision 1.26  2001/01/11 23:54:05  areq
- 2.54BETA19

Revision 1.25  2000/12/05 18:48:58  misiek
- BETA8

Revision 1.24  2000/11/12 20:11:55  kloczek
- modyfications for using neew rpm automation.

Revision 1.23  2000/09/18 12:22:40  areq

- updated to 2.54BETA5

Revision 1.22  2000/08/02 14:30:36  zagrodzki
- updated to 2.54BETA2

Revision 1.21  2000/06/25 00:39:53  kloczek
- added "Obsoletes: nmap-frontend" to X11 for allow upgrade from MDK
  version,
- simplifications in %install,
- added missing %attr() in X11.

Revision 1.20  2000/06/24 21:15:17  zagrodzki
- updated to 2.53
- added nmapfe in separate package
- be careful with adapterizing (%{_datadir}/gnome/apps should not be
  changed to %{_applnkdir}). I need to find the way to fix it in
  adapter...

Revision 1.19  2000/06/09 07:23:26  kloczek
- added using %{__make} macro.

Revision 1.18  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.16  2000/02/19 00:28:19  raven
- fixed compile problems.

Revision 1.15  1999/09/01 02:17:07  kloczek
- new %description's,
- added using %configure macro.

Revision 1.14  1999/07/21 18:19:46  pius
- added using DESTDIR,
- moved data files from %{_libdir}/nmap to %{_datadir}/nmap,
- fixed permissions on data files,
- added gzipping docs,
- cosmetics.

Revision 1.13  1999/07/21 10:51:02  baggins
- more macros

Revision 1.12  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).
